<template>
	<button type="default" @click="btnClick" class="btn" :class="className">
		<image :src="imgSrc" class="btn-img" />
	</button>
</template>

<script>
	export default {
		name: "image-button",
		props: {
			click: Function,
			imgSrc: String,
			className: String
		},
		data() {
			return {

			};
		},
		methods: {
			btnClick(e) {
				this.$emit('click', e);
			}
		}
	}
</script>

<style scoped>
	.map {
		height: 100vh;
	}

	.btn {
		width: 48px;
		height: 48px;
		border-radius: 10px;
		display: flex;
		align-items: center;
		padding: 0;
		justify-content: center;
	}

	.btn-img {
		width: 32px;
		height: 32px;
	}
</style>